Bug 416041 - Alsa gives error message at shutdown
Alsa gives error message at shutdown
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-07 15:29 EST by Martin Jürgens
Modified: 2009-01-09 02:31 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:31:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
scsconfig.log (47.54 KB, text/plain)
2007-12-07 15:29 EST, Martin Jürgens
no flags Details
alsactl store strace output (6.83 KB, text/plain)
2008-03-10 15:34 EDT, Martin Jürgens
no flags Details
alsactl restore strace output (4.20 KB, text/plain)
2008-03-10 15:35 EDT, Martin Jürgens
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
ALSA Project 3898 None None None Never

  None (edit)
Description Martin Jürgens 2007-12-07 15:29:36 EST
Description of problem:
When shutting down, ALSA fails doing something.

The error message is:

get_control:209 Cannot read control info '2,0,0 Mic Boost,0'

Version-Release number of selected component (if applicable):
Latest updates

How reproducible:
Every time

Steps to Reproduce:
1. Boot
2. Shut down
Actual results:
Some error message, AlSA settings not stored

Expected results:
No error messages, ALSA settings stored.

Additional info:
Comment 1 Martin Jürgens 2007-12-07 15:29:36 EST
Created attachment 281561 [details]
Comment 2 Martin Stransky 2008-02-25 10:03:40 EST
Mic Boost should not affect the whole configuration. Can you check the alsactl
utility ("alsactl store, alsactl restore") and save/load the volume configuration?
Comment 3 Martin Jürgens 2008-03-07 12:19:42 EST
alsactl: get_control:209: Cannot read control info '2,0,0,Mic Boost,0': Invalid

alsactl: load_state:1313: Cannot open /etc/alsa/asound.state for reading: No
such file or directory
Comment 4 Martin Jürgens 2008-03-08 08:58:42 EST
This results in the settings not being saved so that I have to change my volume
at every system startup. There are also some reports of users on the web which
are having the same problem.
Comment 5 Martin Stransky 2008-03-10 07:01:25 EDT
Have you got any Selinux ACL message? Can you attach a strace output of alsactl?
Comment 6 Martin Jürgens 2008-03-10 15:34:11 EDT
No SELInux warnings.
Comment 7 Martin Jürgens 2008-03-10 15:34:48 EDT
Created attachment 297498 [details]
alsactl store strace output
Comment 8 Martin Jürgens 2008-03-10 15:35:22 EDT
Created attachment 297500 [details]
alsactl restore strace output
Comment 9 Martin Jürgens 2008-04-08 10:45:23 EDT
Because no progress is really made here I reported it upstream, see
https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3898 for reference.
Comment 10 Bug Zapper 2008-11-26 03:53:46 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 11 Bug Zapper 2009-01-09 02:31:03 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.